# Uses of Class
org.apache.solr.client.solrj.impl.HttpJdkSolrClient.Builder

Packages that use HttpJdkSolrClient.Builder
Package
Description
org.apache.solr.client.solrj.impl
Implementations of some client API classes, and their friends.

## Uses of HttpJdkSolrClient.Builder in org.apache.solr.client.solrj.impl

Methods in org.apache.solr.client.solrj.impl that return HttpJdkSolrClient.Builder
Modifier and Type
Method
Description
`HttpJdkSolrClient.Builder`
HttpJdkSolrClient.Builder.`withCookieHandler(CookieHandler cookieHandler)`
Use the provided CookieHandler.
`HttpJdkSolrClient.Builder`
HttpJdkSolrClient.Builder.`withHttpClient(HttpJdkSolrClient httpSolrClient)`
`HttpJdkSolrClient.Builder`
HttpJdkSolrClient.Builder.`withSSLContext(SSLContext sslContext)`
Use the provided SSLContext.
Constructors in org.apache.solr.client.solrj.impl with parameters of type HttpJdkSolrClient.Builder
Modifier
Constructor
Description
`protected`
`HttpJdkSolrClient(String serverBaseUrl, HttpJdkSolrClient.Builder builder)`